## CONTENTS OF THIS FILE

- Introduction
- Requirements
- Installation
- Configuration
- Permissions
- Maintainers

-- INTRODUCTION --

The `image_style_desc` module adds dynamic descriptions to image fields, displaying the dimensions of the configured image style. This helps content editors upload appropriately sized images and ensures consistent formatting across the site.

-- REQUIREMENTS --

This module requires no modules outside of Drupal core.

-- INSTALLATION --

- Install as usual, see:
  [Installing Modules](https://www.drupal.org/docs/extending-drupal/installing-modules) for further information.

-- CONFIGURATION --

- Go to `/admin/config/media/image-style-desc`
- Select the content types to exclude from the dynamic image descriptions.
- Change the description text as needed to better suit your content editors' requirements.
- Translate the description.
- Save the configuration.


-- PERMISSIONS --

- `administer image style description settings` - Allows users to configure the excluded content types for the image style description functionality.

-- MAINTAINERS --

Current maintainers:

- [mesharideb](https://www.drupal.org/u/mesharideb)
